Name:           perl-POE-API-Peek
Epoch:          1
Version:        1.34
Release:        5%{?dist}
Summary:        Peek into the internals of a running POE environment
License:        BSD
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/POE-API-Peek/
Source0:        http://search.cpan.org/CPAN/authors/id/S/SU/SUNGO/POE-API-Peek-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

BuildRequires:  perl(Devel::Size)
BuildRequires:  perl(POE) >= 1.0001
BuildRequires:  perl(Test::More)

### auto-added reqs!
Requires:       perl(Devel::Size)
Requires:       perl(POE) >= 1.0001

### auto-added brs!
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.42
BuildRequires:  perl(Test::Distribution)
BuildRequires:  perl(Test::NoWarnings)
BuildRequires:  perl(Test::Pod::Coverage)

%description
POE::API::Peek extends the POE::Kernel interface to provide clean access to
Kernel internals in a cross-version compatible manner. Other calculated
data is also available.

%prep
%setup -q -n POE-API-Peek-%{version}

# beat $VERSION into submission, for proper auto-provides
cd lib/POE/API
MODVER=$(echo `grep 'our $VERSION' Peek.pm` '; print $VERSION;' | perl)
sed -i -e "s/our \$VERSION = .*/our \$VERSION = $MODVER;/" Peek.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1:1.34-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec 21 2010 Marcela Maslanova <mmaslano@redhat.com> - 1:1.34-4
- 661697 rebuild for fixing problems with vendorach/lib

* Tue May 04 2010 Marcela Maslanova <mmaslano@redhat.com> - 1:1.34-3
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1:1.34-2
- rebuild against perl 5.10.1

* Tue Aug 25 2009 Chris Weyl <cweyl@alumni.drew.edu> 1:1.34-1
- drop old workarounds
- auto-update to 1.34 (by cpan-spec-update 0.01)
- added a new br on perl(ExtUtils::MakeMaker) (version 6.42)
- altered br on perl(POE) (0.29 => 1.0001)
- added a new br on perl(Test::Distribution) (version 0)
- added a new br on perl(Test::NoWarnings) (version 0)
- added a new br on perl(Test::Pod::Coverage) (version 0)
- added a new req on perl(Devel::Size) (version 0)
- added a new req on perl(POE) (version 1.0001)
- Add epoch of 1 (1.0802 => 1.34)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0802-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0802-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Mar 04 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.0802-3
- rebuild for new perl

* Wed Jan 02 2008 Ralf Corsépius <rc040203@freenet.de> 1.0802-2
- Add BR: perl(Test::More) (BZ 419631).

* Thu Mar 22 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.0802-1
- update to 1.0802

* Tue Oct 10 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.0801-1
- update to 1.0801

* Tue Sep 19 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.06-2
- bump

* Sun Sep 10 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.06-1
- Specfile autogenerated by cpanspec 1.69.1.
